# SystemFiveLocker Class Reference
[Different locking methods implementation]

System-V semaphores based locking. More...

Inheritance diagram for SystemFiveLocker:
[legend]

List of all members.

## Public Member Functions

| get ($key)
| acquire lock
| free ($key)
| release lock
| drop ($key)
| completely remove lock

## Detailed Description

System-V semaphores based locking.

Definition at line 17 of file SystemFiveLocker.class.php.

## Member Function Documentation

SystemFiveLocker::drop | ( | $ | key | ) |

completely remove lock

Reimplemented from BaseLocker.

Definition at line 47 of file SystemFiveLocker.class.php.

SystemFiveLocker::free | ( | $ | key | ) |

release lock

Reimplemented from BaseLocker.

Definition at line 33 of file SystemFiveLocker.class.php.

SystemFiveLocker::get | ( | $ | key | ) |

acquire lock

Reimplemented from BaseLocker.

Definition at line 19 of file SystemFiveLocker.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Cache/SystemFiveLocker.class.php